<?php

// main FWD Simple 3D Coverflow Data class
class FWDS3DCovData
{
	// constants
	const DEFAULT_SKINS_NR = 18;
	
	// variables
	public $settings_ar;
    public $playlists_ar;
	
	private $_dir_url;
	
    // constructor
    public function init()
    {
		$this->_dir_url = plugin_dir_url(dirname(__FILE__));
		
		//$this->reset_presets();
		
		$cur_data = get_option("fwds3dcov_data");
   
	    if (!$cur_data)
	    {
	    	$this->init_settings();
	    	$this->set_data();
	    }
    	
    	$this->set_updates();
    	
    	$this->get_data();
    }
	
	private function reset_presets()
	{
		$this->get_data();
		$this->init_settings();
	    $this->set_data();
	}
	
	private function set_updates(){
		$this->get_data();
		
   		foreach ($this->settings_ar as &$preset){
			// update new or existing fields
			if (!array_key_exists("descriptionGradientWindowBackgroundColor1", $preset)){
	    		$preset["descriptionGradientWindowBackgroundColor1"] = "rgba(0, 0, 0, 0)";
			}

			if (!array_key_exists("descriptionGradientWindowBackgroundColor2", $preset)){
	    		$preset["descriptionGradientWindowBackgroundColor2"] = "rgba(0, 0, 0, 1)";
			}

			if (!array_key_exists("slideshowPreloaderBackgroundColor", $preset)){
	    		$preset["slideshowPreloaderBackgroundColor"] = "#333333";
			}

   			if (!array_key_exists("slideshowPreloaderBackgroundColor", $preset)){
	    		$preset["slideshowPreloaderBackgroundColor"] = "#333333";
			}

			if (!array_key_exists("slideshowpreloaderFillColor", $preset)){
	    		$preset["slideshowpreloaderFillColor"] = "#E4E4E4";
			}

			if (!array_key_exists("backgroundSize", $preset)){
	    		$preset["backgroundSize"] = "auto";
			}

			if (!array_key_exists("largeNextAndPrevButtonsMaxWidthPos", $preset)){
	    		$preset["largeNextAndPrevButtonsMaxWidthPos"] = 0;
			}

			if (!array_key_exists("preloaderBackgroundColor", $preset)){
	    		$preset["preloaderBackgroundColor"] = "#000000";
			}

			if (!array_key_exists("preloaderFillColor", $preset)){
	    		$preset["preloaderFillColor"] = "#4a4a4a";
			}

			if (!array_key_exists("nextAndPrevCoverflowButtonsOffsetX", $preset)){
	    		$preset["nextAndPrevCoverflowButtonsOffsetX"] = 30;
			}

			if (!array_key_exists("backgroundPosition", $preset)){
	    		$preset["backgroundPosition"] = "center";
			}		

   			if (!array_key_exists("textMaxWidth", $preset)){
	    		$preset["textMaxWidth"] = 530;
			}	

			if (!array_key_exists("thumbnailMaxHeight", $preset)){
	    		$preset["thumbnailMaxHeight"] = 500;
			}	

			if (!array_key_exists("coverflowOffsetHeight", $preset)){
	    		$preset["coverflowOffsetHeight"] = 140;
			}

			if (!array_key_exists("thumbnailResizeOffest", $preset)){
	    		$preset["thumbnailResizeOffest"] = 100;
			}
			
			if (!array_key_exists("useDefaultThumbnailsWidthAndHeight", $preset)){
	    		$preset["useDefaultThumbnailsWidthAndHeight"] = "yes";
			}	
			
	    	if (!array_key_exists("infinite_loop", $preset)){
	    		$preset["infinite_loop"] = "no";
			}		
			
			if (!array_key_exists("thumbnailOffsetY", $preset)){
	    		$preset["thumbnailOffsetY"] = 0;			
			}		
			
    	}
		$this->set_data();
	}
    
    // functions
    private function init_settings()
    {
    	$this->settings_ar = array(
									array(
											// main settings
											"id" => 0,
											"name" => "preset1",
											"display_type" => "fluidwidth",
											"cov_width" => 5000,
											"coverflowOffsetHeight" => 140,
											"useDefaultThumbnailsWidthAndHeight" => "yes",
											"main_folder_path" => $this->_dir_url . "load",
											"skin_path" => "skin_black",
											"cov_bg_color" => "#1d1d1d",
											"backgroundSize" => "auto",
											"backgroundPosition" => "center",
											"cov_bg_image_url" => "",
											"bg_repeat" => "repeat-x",
											"cov_start_pos" => "center",
											"cov_topology" => "dualsided",
											"cov_x_rot" => 0,
											"cov_y_rot" => 0,
											"nr_side_thumbs" => 0,
											"infinite_loop" => "no",											
											"thumbnailOffsetY" => 0,
											"cov_autoplay" => "no",
											"cov_slideshow_delay" => 5000,
											"slideshowPreloaderBackgroundColor" => "#333333",
   											"slideshowpreloaderFillColor" => "#E4E4E4",
											"right_click_context_menu" => "developer",
											"cov_keyboard_support" => "yes",
											"use_drag_and_swipe" => "yes",
											"fluid_width_z_index" => 1000,
											"preloaderBackgroundColor" => "#000000",
											"preloaderFillColor" => "#4a4a4a",
											
											// thumbs settings
											"thumbnailWidth" => 530,
											"thumbnailHeight" => 329,
											"thumbnailMaxHeight" => 500,
											"thumbnailResizeOffest" => 100,
											"thumb_x_offset_3d" => 82,
											"thumb_x_space_3d" => 72,
											"thumb_z_offset_3d" => 200,
											"thumb_z_space_3d" => 93,
											"thumb_y_angle_3d" => 70,
											"thumb_hover_offset" => 100,
											"thumb_border_size" => 0,
											"thumb_bg_color" => "#4a4a4a",
											"thumb_border_color1" => "#EBEBEB",
											"thumb_border_color2" => "#EBEBEB",
											"transparent_images" => "no",
											"thumbs_alignment" => "center",
											"max_thumbs_mobile" => 20,
											"show_thumbs_gradient" => "yes",
											"thumb_gradient_color1" => "rgba(29, 29, 29, 0)",
											"thumb_gradient_color2" => "rgba(29, 29, 29, 1)",
											"show_thumbs_text" => "yes",
											"textMaxWidth" => 530,
											"text_offset" => 10,
											"show_thumb_box_shadow" => "yes",
											"box_shadow_css" => "0px 2px 2px #111111",
											"show_reflection" => "yes",
											"reflection_height" => 50,
											"reflection_distance" => 0,
											"reflection_opacity" => .4,
											
											// controls settings
											"controls_max_width" => 530,
											"show_large_next_and_prev_coverflow_buttons" => "no",
											"large_next_and_prev_buttons_offest" => 20,
											"controls_position" => "bottom",
											"controls_offset" => -23,
											"show_next_and_prev_coverflow_buttons" => "yes",
											"nextAndPrevCoverflowButtonsOffsetX" => 30,
											"disable_btns_mobile" => "no",
											"show_slideshow_btn" => "yes",
											"show_bullets_navigation" => "no",
											"bullets_normal_color" => "#333333",
											"bullets_selected_color" => "#FFFFFF",
											"bullets_normal_radius" => 5,
											"bullets_selected_radius" => 8,
											"space_between_bullets" => 10,
											"bullets_offset" => 28,
											"show_scrollbar" => "yes",
											"scrollbar_handler_width" => 200,
											"scrollbar_text_normal_color" => "#E4E4E4",
											"scrollbar_text_selected_color" => "#000000",
											"disable_scrollbar_mobile" => "yes",
											"enable_mouse_wheel" => "no",
											
											// categories menu settings
											"show_categories_menu" => "yes",
											"start_category" => 1,
											"categories_menu_max_width" => 700,
											"categories_menu_offset" => 25,
											"category_normal_color" => "#999999",
											"category_selected_color" => "#FFFFFF",
											
											// lightbox settings
											"buttons_alignment" => "in",
											"item_box_shadow" => "none",
											"description_window_animation_type" => "opacity",
											"description_window_position" => "bottom",
											"slide_show_auto_play" => "no",
											"add_keyboard_support" => "yes",
											"show_close_button" => "yes",
											"show_share_button" => "yes",
											"show_zoom_button" => "yes",
											"show_slide_show_button" => "yes",
											"show_slide_show_animation" => "yes",
											"show_next_and_prev_buttons" => "yes",
											"show_next_and_prev_buttons_on_mobile" => "yes",
											"show_description_button" => "yes",
											"show_description_by_default" => "no",
											"video_show_full_screen_button" => "yes",
											"video_auto_play" => "no",
											"next_video_or_audio_auto_play" => "no",
											"video_loop" => "no",
											"audio_auto_play" =>"no",
											"audio_loop" => "no",
											"background_opacity" => 0.9,
											"description_window_background_opacity" => 1,
											"buttons_hide_delay" => 3,
											"slide_show_delay" => 4,
											"default_item_width" => 1369,
											"default_item_height" => 770,
											"item_offset_height" => 50,
											"space_between_buttons" => 1,
											"buttons_offset_in" => 2,
											"buttons_offset_out" =>5,
											"item_border_size" => 0,
											"item_border_radius" => 0,
											"descriptionGradientWindowBackgroundColor1" => "rgba(0, 0, 0, 0)",
   											"descriptionGradientWindowBackgroundColor2" => "rgba(0, 0, 0, 1)",
											"item_background_color" => "#333333",
											"item_border_color" => "#333333",
											"light_box_background_color" => "#000000",
											"video_poster_background_color" => "#383838",
											"video_controller_background_color" => "#1F1F1F",
											"audio_controller_background_color" => "#1F1F1F",
											"time_color" => "#666666"
									),
					    			array(
					    					// main settings
					    					"id" => 1,
					    					"name" => "preset2",
					    					"display_type" => "fluidwidth",
					    					"cov_width" => 5000,
					    					"coverflowOffsetHeight" => 140,
											"useDefaultThumbnailsWidthAndHeight" => "yes",
					    					"skin_path" => "skin_black",
											"main_folder_path" => $this->_dir_url . "load",
					    					"cov_bg_color" => "#1d1d1d",
					    					"backgroundSize" => "auto",
					    					"backgroundPosition" => "center",
					    					"cov_bg_image_url" => "",
					    					"bg_repeat" => "repeat-x",
					    					"cov_start_pos" => "center",
					    					"cov_topology" => "dualsided",
					    					"cov_x_rot" => 0,
					    					"cov_y_rot" => 0,
					    					"nr_side_thumbs" => 0,
					    					"infinite_loop" => "no",											
					    					"thumbnailOffsetY" => 0,
					    					"cov_autoplay" => "no",
					    					"cov_slideshow_delay" => 5000,
					    					"slideshowPreloaderBackgroundColor" => "#333333",
   											"slideshowpreloaderFillColor" => "#E4E4E4",
					    					"right_click_context_menu" => "developer",
					    					"cov_keyboard_support" => "yes",
											"use_drag_and_swipe" => "yes",
											"fluid_width_z_index" => 1000,
											"preloaderBackgroundColor" => "#000000",
											"preloaderFillColor" => "#4a4a4a",
					    						
					    					// thumbs settings
					    					"thumbnailWidth" => 530,
					    					"thumbnailHeight" => 329,
					    					"thumbnailMaxHeight" => 500,
					    					"thumbnailResizeOffest" => 100,
					    					"thumb_x_offset_3d" => 80,
					    					"thumb_x_space_3d" => 165,
					    					"thumb_z_offset_3d" => 400,
					    					"thumb_z_space_3d" => 130,
					    					"thumb_y_angle_3d" => -40,
					    					"thumb_hover_offset" => 100,
					    					"thumb_border_size" => 0,
					    					"thumb_bg_color" => "#4a4a4a",
					    					"thumb_border_color1" => "#EBEBEB",
					    					"thumb_border_color2" => "#EBEBEB",
					    					"transparent_images" => "no",
					    					"thumbs_alignment" => "center",
					    					"max_thumbs_mobile" => 20,
					    					"show_thumbs_gradient" => "no",
					    					"thumb_gradient_color1" => "rgba(0, 0, 0, 0)",
					    					"thumb_gradient_color2" => "rgba(29, 29, 29, 1)",
					    					"show_thumbs_text" => "yes",
					    					"textMaxWidth" => 530,
					    					"text_offset" => 10,
					    					"show_thumb_box_shadow" => "yes",
					    					"box_shadow_css" => "0px 2px 2px #111111",
					    					"show_reflection" => "yes",
					    					"reflection_height" => 50,
					    					"reflection_distance" => 0,
					    					"reflection_opacity" => .4,
					    						
					    					// controls settings
					    					"controls_max_width" => 530,
											"show_large_next_and_prev_coverflow_buttons" => "no",
											"large_next_and_prev_buttons_offest" => 20,
					    					"controls_position" => "bottom",
					    					"controls_offset" => -23,
					    					"show_next_and_prev_coverflow_buttons" => "yes",
					    					"nextAndPrevCoverflowButtonsOffsetX" => 30,
					    					"disable_btns_mobile" => "no",
					    					"show_slideshow_btn" => "yes",
											"show_bullets_navigation" => "no",
											"bullets_normal_color" => "#333333",
											"bullets_selected_color" => "#FFFFFF",
											"bullets_normal_radius" => 5,
											"bullets_selected_radius" => 8,
											"space_between_bullets" => 10,
											"bullets_offset" => 28,
					    					"show_scrollbar" => "yes",
					    					"scrollbar_handler_width" => 200,
					    					"scrollbar_text_normal_color" => "#E4E4E4",
					    					"scrollbar_text_selected_color" => "#000000",
					    					"disable_scrollbar_mobile" => "yes",
					    					"enable_mouse_wheel" => "no",
					    						
					    					// categories menu settings
					    					"show_categories_menu" => "yes",
					    					"start_category" => 1,
					    					"categories_menu_max_width" => 700,
					    					"categories_menu_offset" => 25,
					    					"category_normal_color" => "#999999",
					    					"category_selected_color" => "#FFFFFF",
					    						
					    					// lightbox settings
											"buttons_alignment" => "in",
											"item_box_shadow" => "none",
											"description_window_animation_type" => "opacity",
											"description_window_position" => "bottom",
											"slide_show_auto_play" => "no",
											"add_keyboard_support" => "yes",
											"show_close_button" => "yes",
											"show_share_button" => "yes",
											"show_zoom_button" => "yes",
											"show_slide_show_button" => "yes",
											"show_slide_show_animation" => "yes",
											"show_next_and_prev_buttons" => "yes",
											"show_next_and_prev_buttons_on_mobile" => "yes",
											"show_description_button" => "yes",
											"show_description_by_default" => "no",
											"video_show_full_screen_button" => "yes",
											"video_auto_play" => "no",
											"next_video_or_audio_auto_play" => "no",
											"video_loop" => "no",
											"audio_auto_play" =>"no",
											"audio_loop" => "no",
											"background_opacity" => 0.9,
											"description_window_background_opacity" => 1,
											"buttons_hide_delay" => 3,
											"slide_show_delay" => 4,
											"default_item_width" => 1369,
											"default_item_height" => 770,
											"item_offset_height" => 50,
											"space_between_buttons" => 1,
											"buttons_offset_in" => 2,
											"buttons_offset_out" =>5,
											"item_border_size" => 0,
											"item_border_radius" => 0,
											"descriptionGradientWindowBackgroundColor1" => "rgba(0, 0, 0, 0)",
   											"descriptionGradientWindowBackgroundColor2" => "rgba(0, 0, 0, 1)",
											"item_background_color" => "#333333",
											"item_border_color" => "#333333",
											"light_box_background_color" => "#000000",
											"video_poster_background_color" => "#383838",
											"video_controller_background_color" => "#1F1F1F",
											"audio_controller_background_color" => "#1F1F1F",
											"time_color" => "#666666"
					    			),
					    			array(
					    					// main settings
					    					"id" => 2,
					    					"name" => "preset3",
					    					"display_type" => "fluidwidth",
					    					"cov_width" => 5000,
					    					"coverflowOffsetHeight" => 140,
											"useDefaultThumbnailsWidthAndHeight" => "yes",
					    					"skin_path" => "skin_black",
					    					"cov_bg_color" => "#1d1d1d",
					    					"backgroundSize" => "auto",
					    					"backgroundPosition" => "center",
					    					"cov_bg_image_url" => "",
					    					"bg_repeat" => "repeat-x",
					    					"cov_start_pos" => "center",
					    					"cov_topology" => "dualsided",
					    					"cov_x_rot" => 0,
					    					"cov_y_rot" => 0,
					    					"nr_side_thumbs" => 0,
					    					"infinite_loop" => "no",											
					    					"thumbnailOffsetY" => 0,
					    					"cov_autoplay" => "no",
					    					"cov_slideshow_delay" => 5000,
					    					"slideshowPreloaderBackgroundColor" => "#333333",
   											"slideshowpreloaderFillColor" => "#E4E4E4",
					    					"right_click_context_menu" => "developer",
					    					"cov_keyboard_support" => "yes",
											"use_drag_and_swipe" => "yes",
											"fluid_width_z_index" => 1000,
											"preloaderBackgroundColor" => "#000000",
											"preloaderFillColor" => "#4a4a4a",
					    						
					    					// thumbs settings
					    					"thumbnailWidth" => 530,
					    					"thumbnailHeight" => 329,
					    					"thumbnailMaxHeight" => 500,
					    					"thumbnailResizeOffest" => 100,
					    					"thumb_x_offset_3d" => 40,
					    					"thumb_x_space_3d" => 86,
					    					"thumb_z_offset_3d" => 200,
					    					"thumb_z_space_3d" => 93,
					    					"thumb_y_angle_3d" => 2,
					    					"thumb_hover_offset" => 100,
					    					"thumb_border_size" => 0,
					    					"thumb_bg_color" => "#4a4a4a",
					    					"thumb_border_color1" => "#EBEBEB",
					    					"thumb_border_color2" => "#EBEBEB",
					    					"transparent_images" => "no",
					    					"thumbs_alignment" => "center",
					    					"max_thumbs_mobile" => 20,
					    					"show_thumbs_gradient" => "no",
					    					"thumb_gradient_color1" => "rgba(0, 0, 0, 0)",
					    					"thumb_gradient_color2" => "rgba(29, 29, 29, 1)",
					    					"show_thumbs_text" => "yes",
					    					"textMaxWidth" => 530,
					    					"text_offset" => 10,
					    					"show_thumb_box_shadow" => "yes",
					    					"box_shadow_css" => "0px 2px 2px #111111",
					    					"show_reflection" => "yes",
					    					"reflection_height" => 50,
					    					"reflection_distance" => 0,
					    					"reflection_opacity" => .4,
					    						
					    					// controls settings
					    					"controls_max_width" => 530,
											"show_large_next_and_prev_coverflow_buttons" => "no",
											"large_next_and_prev_buttons_offest" => 20,
					    					"controls_position" => "bottom",
					    					"controls_offset" => -23,
					    					"show_next_and_prev_coverflow_buttons" => "yes",
					    					"nextAndPrevCoverflowButtonsOffsetX" => 30,
					    					"disable_btns_mobile" => "no",
					    					"show_slideshow_btn" => "yes",
											"show_bullets_navigation" => "no",
											"bullets_normal_color" => "#333333",
											"bullets_selected_color" => "#FFFFFF",
											"bullets_normal_radius" => 5,
											"bullets_selected_radius" => 8,
											"space_between_bullets" => 10,
											"bullets_offset" => 28,
					    					"show_scrollbar" => "yes",
					    					"scrollbar_handler_width" => 200,
					    					"scrollbar_text_normal_color" => "#E4E4E4",
					    					"scrollbar_text_selected_color" => "#FFFFFF",
					    					"disable_scrollbar_mobile" => "yes",
					    					"enable_mouse_wheel" => "no",
					    						
					    					// categories menu settings
					    					"show_categories_menu" => "yes",
					    					"start_category" => 1,
					    					"categories_menu_max_width" => 700,
					    					"categories_menu_offset" => 25,
					    					"category_normal_color" => "#999999",
					    					"category_selected_color" => "#FFFFFF",
					    						
					    					// lightbox settings
											"buttons_alignment" => "in",
											"item_box_shadow" => "none",
											"description_window_animation_type" => "opacity",
											"description_window_position" => "bottom",
											"slide_show_auto_play" => "no",
											"add_keyboard_support" => "yes",
											"show_close_button" => "yes",
											"show_share_button" => "yes",
											"show_zoom_button" => "yes",
											"show_slide_show_button" => "yes",
											"show_slide_show_animation" => "yes",
											"show_next_and_prev_buttons" => "yes",
											"show_next_and_prev_buttons_on_mobile" => "yes",
											"show_description_button" => "yes",
											"show_description_by_default" => "no",
											"video_show_full_screen_button" => "yes",
											"video_auto_play" => "no",
											"next_video_or_audio_auto_play" => "no",
											"video_loop" => "no",
											"audio_auto_play" =>"no",
											"audio_loop" => "no",
											"background_opacity" => 0.9,
											"description_window_background_opacity" => 1,
											"buttons_hide_delay" => 3,
											"slide_show_delay" => 4,
											"default_item_width" => 1369,
											"default_item_height" => 770,
											"item_offset_height" => 50,
											"space_between_buttons" => 1,
											"buttons_offset_in" => 2,
											"buttons_offset_out" =>5,
											"item_border_size" => 0,
											"item_border_radius" => 0,
											"descriptionGradientWindowBackgroundColor1" => "rgba(0, 0, 0, 0)",
   											"descriptionGradientWindowBackgroundColor2" => "rgba(0, 0, 0, 1)",
											"item_background_color" => "#333333",
											"item_border_color" => "#333333",
											"light_box_background_color" => "#000000",
											"video_poster_background_color" => "#383838",
											"video_controller_background_color" => "#1F1F1F",
											"audio_controller_background_color" => "#1F1F1F",
											"time_color" => "#666666"
					    			),
					    			array(
					    					// main settings
					    					"id" => 3,
					    					"name" => "preset4",
					    					"display_type" => "fluidwidth",
					    					"cov_width" => 5000,
					    					"coverflowOffsetHeight" => 140,
											"useDefaultThumbnailsWidthAndHeight" => "yes",
											"main_folder_path" => $this->_dir_url . "load",
					    					"skin_path" => "skin_black",
					    					"cov_bg_color" => "#1d1d1d",
					    					"backgroundSize" => "auto",
					    					"backgroundPosition" => "center",
					    					"cov_bg_image_url" => "",
					    					"bg_repeat" => "repeat-x",
					    					"cov_start_pos" => "center",
					    					"cov_topology" => "dualsided",
					    					"cov_x_rot" => 15,
					    					"cov_y_rot" => 0,
					    					"nr_side_thumbs" => 0,
					    					"infinite_loop" => "no",											
					    					"thumbnailOffsetY" => 0,
					    					"cov_autoplay" => "no",
					    					"cov_slideshow_delay" => 5000,
					    					"slideshowPreloaderBackgroundColor" => "#333333",
   											"slideshowpreloaderFillColor" => "#E4E4E4",
					    					"right_click_context_menu" => "developer",
					    					"cov_keyboard_support" => "yes",
											"use_drag_and_swipe" => "yes",
											"fluid_width_z_index" => 1000,
											"preloaderBackgroundColor" => "#000000",
											"preloaderFillColor" => "#4a4a4a",
					    			
					    					// thumbs settings
					    					"thumbnailWidth" => 530,
					    					"thumbnailHeight" => 329,
					    					"thumbnailMaxHeight" => 500,
					    					"thumbnailResizeOffest" => 100,
					    					"thumb_x_offset_3d" => 100,
					    					"thumb_x_space_3d" => 30,
					    					"thumb_z_offset_3d" => 150,
					    					"thumb_z_space_3d" => 30,
					    					"thumb_y_angle_3d" => 60,
					    					"thumb_hover_offset" => 50,
					    					"thumb_border_size" => 0,
					    					"thumb_bg_color" => "#4a4a4a",
					    					"thumb_border_color1" => "#EBEBEB",
					    					"thumb_border_color2" => "#EBEBEB",
					    					"transparent_images" => "no",
					    					"thumbs_alignment" => "center",
					    					"max_thumbs_mobile" => 20,
					    					"show_thumbs_gradient" => "yes",
					    					"thumb_gradient_color1" => "rgba(0, 0, 0, 0)",
					    					"thumb_gradient_color2" => "rgba(29, 29, 29, 1)",
					    					"show_thumbs_text" => "yes",
					    					"textMaxWidth" => 530,
					    					"text_offset" => 10,
					    					"show_thumb_box_shadow" => "yes",
					    					"box_shadow_css" => "0px 2px 2px #111111",
					    					"show_reflection" => "yes",
					    					"reflection_height" => 50,
					    					"reflection_distance" => 0,
					    					"reflection_opacity" => .4,
					    			
					    					// controls settings
					    					"controls_max_width" => 530,
											"show_large_next_and_prev_coverflow_buttons" => "no",
											"large_next_and_prev_buttons_offest" => 20,
					    					"controls_position" => "bottom",
					    					"controls_offset" => -23,
					    					"show_next_and_prev_coverflow_buttons" => "yes",
					    					"nextAndPrevCoverflowButtonsOffsetX" => 30,
					    					"disable_btns_mobile" => "no",
					    					"show_slideshow_btn" => "yes",
											"show_bullets_navigation" => "no",
											"bullets_normal_color" => "#333333",
											"bullets_selected_color" => "#FFFFFF",
											"bullets_normal_radius" => 5,
											"bullets_selected_radius" => 8,
											"space_between_bullets" => 10,
											"bullets_offset" => 28,
					    					"show_scrollbar" => "yes",
					    					"scrollbar_handler_width" => 200,
					    					"scrollbar_text_normal_color" => "#E4E4E4",
					    					"scrollbar_text_selected_color" => "#000000",
					    					"disable_scrollbar_mobile" => "yes",
					    					"enable_mouse_wheel" => "no",
					    			
					    					// categories menu settings
					    					"show_categories_menu" => "yes",
					    					"start_category" => 1,
					    					"categories_menu_max_width" => 700,
					    					"categories_menu_offset" => 25,
					    					"category_normal_color" => "#999999",
					    					"category_selected_color" => "#FFFFFF",
					    			
					    					// lightbox settings
											"buttons_alignment" => "in",
											"item_box_shadow" => "none",
											"description_window_animation_type" => "opacity",
											"description_window_position" => "bottom",
											"slide_show_auto_play" => "no",
											"add_keyboard_support" => "yes",
											"show_close_button" => "yes",
											"show_share_button" => "yes",
											"show_zoom_button" => "yes",
											"show_slide_show_button" => "yes",
											"show_slide_show_animation" => "yes",
											"show_next_and_prev_buttons" => "yes",
											"show_next_and_prev_buttons_on_mobile" => "yes",
											"show_description_button" => "yes",
											"show_description_by_default" => "no",
											"video_show_full_screen_button" => "yes",
											"video_auto_play" => "no",
											"next_video_or_audio_auto_play" => "no",
											"video_loop" => "no",
											"audio_auto_play" =>"no",
											"audio_loop" => "no",
											"background_opacity" => 0.9,
											"description_window_background_opacity" => 1,
											"buttons_hide_delay" => 3,
											"slide_show_delay" => 4,
											"default_item_width" => 1369,
											"default_item_height" => 770,
											"item_offset_height" => 50,
											"space_between_buttons" => 1,
											"buttons_offset_in" => 2,
											"buttons_offset_out" =>5,
											"item_border_size" => 0,
											"item_border_radius" => 0,
											"descriptionGradientWindowBackgroundColor1" => "rgba(0, 0, 0, 0)",
   											"descriptionGradientWindowBackgroundColor2" => "rgba(0, 0, 0, 1)",
											"item_background_color" => "#333333",
											"item_border_color" => "#333333",
											"light_box_background_color" => "#000000",
											"video_poster_background_color" => "#383838",
											"video_controller_background_color" => "#1F1F1F",
											"audio_controller_background_color" => "#1F1F1F",
											"time_color" => "#666666"
					    			),
					    			array(
					    					// main settings
					    					"id" => 4,
					    					"name" => "preset5",
					    					"display_type" => "fluidwidth",
					    					"cov_width" => 5000,
					    					"coverflowOffsetHeight" => 140,
											"useDefaultThumbnailsWidthAndHeight" => "yes",
											"main_folder_path" => $this->_dir_url . "load",
					    					"skin_path" => "skin_black",
					    					"cov_bg_color" => "#1d1d1d",
					    					"backgroundSize" => "auto",
					    					"backgroundPosition" => "center",
					    					"cov_bg_image_url" => "",
					    					"bg_repeat" => "repeat-x",
					    					"cov_start_pos" => "center",
					    					"cov_topology" => "onesided",
					    					"cov_x_rot" => 15,
					    					"cov_y_rot" => 0,
					    					"nr_side_thumbs" => 0,
					    					"infinite_loop" => "no",											
					    					"thumbnailOffsetY" => 0,
					    					"cov_autoplay" => "no",
					    					"cov_slideshow_delay" => 5000,
					    					"slideshowPreloaderBackgroundColor" => "#333333",
   											"slideshowpreloaderFillColor" => "#E4E4E4",
					    					"right_click_context_menu" => "developer",
					    					"cov_keyboard_support" => "yes",
											"use_drag_and_swipe" => "yes",
											"fluid_width_z_index" => 1000,
											"preloaderBackgroundColor" => "#000000",
											"preloaderFillColor" => "#4a4a4a",
					    			
					    					// thumbs settings
					    					"thumbnailWidth" => 530,
					    					"thumbnailHeight" => 329,
					    					"thumbnailMaxHeight" => 500,
					    					"thumbnailResizeOffest" => 100,
					    					"thumb_x_offset_3d" => 240,
					    					"thumb_x_space_3d" => 0,
					    					"thumb_z_offset_3d" => 0,
					    					"thumb_z_space_3d" => 20,
					    					"thumb_y_angle_3d" => 0,
					    					"thumb_hover_offset" => 0,
					    					"thumb_border_size" => 0,
					    					"thumb_bg_color" => "#4a4a4a",
					    					"thumb_border_color1" => "#EBEBEB",
					    					"thumb_border_color2" => "#EBEBEB",
					    					"transparent_images" => "no",
					    					"thumbs_alignment" => "center",
					    					"max_thumbs_mobile" => 20,
					    					"show_thumbs_gradient" => "yes",
					    					"thumb_gradient_color1" => "rgba(0, 0, 0, .2)",
					    					"thumb_gradient_color2" => "rgba(29, 29, 29, 1)",
					    					"show_thumbs_text" => "yes",
					    					"textMaxWidth" => 530,
					    					"text_offset" => 10,
					    					"show_thumb_box_shadow" => "yes",
					    					"box_shadow_css" => "0px 2px 2px #111111",
					    					"show_reflection" => "yes",
					    					"reflection_height" => 50,
					    					"reflection_distance" => 0,
					    					"reflection_opacity" => .4,
					    			
					    					// controls settings
					    					"controls_max_width" => 530,
											"show_large_next_and_prev_coverflow_buttons" => "no",
											"large_next_and_prev_buttons_offest" => 20,
					    					"controls_position" => "bottom",
					    					"controls_offset" => -23,
					    					"show_next_and_prev_coverflow_buttons" => "yes",
					    					"nextAndPrevCoverflowButtonsOffsetX" => 30,
					    					"disable_btns_mobile" => "no",
					    					"show_slideshow_btn" => "yes",
											"show_bullets_navigation" => "no",
											"bullets_normal_color" => "#333333",
											"bullets_selected_color" => "#FFFFFF",
											"bullets_normal_radius" => 5,
											"bullets_selected_radius" => 8,
											"space_between_bullets" => 10,
											"bullets_offset" => 28,
					    					"show_scrollbar" => "yes",
					    					"scrollbar_handler_width" => 200,
					    					"scrollbar_text_normal_color" => "#E4E4E4",
					    					"scrollbar_text_selected_color" => "#000000",
					    					"disable_scrollbar_mobile" => "yes",
					    					"enable_mouse_wheel" => "no",
					    			
					    					// categories menu settings
					    					"show_categories_menu" => "yes",
					    					"start_category" => 1,
					    					"categories_menu_max_width" => 700,
					    					"categories_menu_offset" => 25,
					    					"category_normal_color" => "#999999",
					    					"category_selected_color" => "#FFFFFF",
					    			
					    					// lightbox settings
											"buttons_alignment" => "in",
											"item_box_shadow" => "none",
											"description_window_animation_type" => "opacity",
											"description_window_position" => "bottom",
											"slide_show_auto_play" => "no",
											"add_keyboard_support" => "yes",
											"show_close_button" => "yes",
											"show_share_button" => "yes",
											"show_zoom_button" => "yes",
											"show_slide_show_button" => "yes",
											"show_slide_show_animation" => "yes",
											"show_next_and_prev_buttons" => "yes",
											"show_next_and_prev_buttons_on_mobile" => "yes",
											"show_description_button" => "yes",
											"show_description_by_default" => "no",
											"video_show_full_screen_button" => "yes",
											"video_auto_play" => "no",
											"next_video_or_audio_auto_play" => "no",
											"video_loop" => "no",
											"audio_auto_play" =>"no",
											"audio_loop" => "no",
											"background_opacity" => 0.9,
											"description_window_background_opacity" => 1,
											"buttons_hide_delay" => 3,
											"slide_show_delay" => 4,
											"default_item_width" => 1369,
											"default_item_height" => 770,
											"item_offset_height" => 50,
											"space_between_buttons" => 1,
											"buttons_offset_in" => 2,
											"buttons_offset_out" =>5,
											"item_border_size" => 0,
											"item_border_radius" => 0,
											"descriptionGradientWindowBackgroundColor1" => "rgba(0, 0, 0, 0)",
   											"descriptionGradientWindowBackgroundColor2" => "rgba(0, 0, 0, 1)",
											"item_background_color" => "#333333",
											"item_border_color" => "#333333",
											"light_box_background_color" => "#000000",
											"video_poster_background_color" => "#383838",
											"video_controller_background_color" => "#1F1F1F",
											"audio_controller_background_color" => "#1F1F1F",
											"time_color" => "#666666"
					    			),
					    			array(
					    					// main settings
					    					"id" => 5,
					    					"name" => "preset6",
					    					"display_type" => "fluidwidth",
					    					"cov_width" => 5000,
					    					"coverflowOffsetHeight" => 140,
											"useDefaultThumbnailsWidthAndHeight" => "yes",
											"main_folder_path" => $this->_dir_url . "load",
					    					"skin_path" => "skin_black",
					    					"cov_bg_color" => "#1d1d1d",
					    					"backgroundSize" => "auto",
					    					"backgroundPosition" => "center",
					    					"cov_bg_image_url" => "",
					    					"bg_repeat" => "repeat-x",
					    					"cov_start_pos" => "center",
					    					"cov_topology" => "crosssided",
					    					"cov_x_rot" => 15,
					    					"cov_y_rot" => 0,
					    					"nr_side_thumbs" => 0,
					    					"infinite_loop" => "no",											
					    					"thumbnailOffsetY" => 0,
					    					"cov_autoplay" => "no",
					    					"cov_slideshow_delay" => 5000,
					    					"slideshowPreloaderBackgroundColor" => "#333333",
   											"slideshowpreloaderFillColor" => "#E4E4E4",
					    					"right_click_context_menu" => "developer",
					    					"cov_keyboard_support" => "yes",
											"use_drag_and_swipe" => "yes",
											"fluid_width_z_index" => 1000,
											"preloaderBackgroundColor" => "#000000",
											"preloaderFillColor" => "#4a4a4a",
					    			
					    					// thumbs settings
					    					"thumbnailWidth" => 530,
					    					"thumbnailHeight" => 329,
					    					"thumbnailMaxHeight" => 500,
					    					"thumbnailResizeOffest" => 100,
					    					"thumb_x_offset_3d" => 240,
					    					"thumb_x_space_3d" => 0,
					    					"thumb_z_offset_3d" => 0,
					    					"thumb_z_space_3d" => 20,
					    					"thumb_y_angle_3d" => 0,
					    					"thumb_hover_offset" => 0,
					    					"thumb_border_size" => 0,
					    					"thumb_bg_color" => "#4a4a4a",
					    					"thumb_border_color1" => "#EBEBEB",
					    					"thumb_border_color2" => "#EBEBEB",
					    					"transparent_images" => "no",
					    					"thumbs_alignment" => "center",
					    					"max_thumbs_mobile" => 20,
					    					"show_thumbs_gradient" => "yes",
					    					"thumb_gradient_color1" => "rgba(29, 29, 29, 0)",
					    					"thumb_gradient_color2" => "rgba(29, 29, 29, 1)",
					    					"show_thumbs_text" => "yes",
					    					"textMaxWidth" => 530,
					    					"text_offset" => 10,
					    					"show_thumb_box_shadow" => "yes",
					    					"box_shadow_css" => "0px 2px 2px #111111",
					    					"show_reflection" => "yes",
					    					"reflection_height" => 50,
					    					"reflection_distance" => 0,
					    					"reflection_opacity" => .4,
					    			
					    					// controls settings
					    					"controls_max_width" => 530,
											"show_large_next_and_prev_coverflow_buttons" => "no",
											"large_next_and_prev_buttons_offest" => 20,
					    					"controls_position" => "bottom",
					    					"controls_offset" => -23,
					    					"show_next_and_prev_coverflow_buttons" => "yes",
					    					"nextAndPrevCoverflowButtonsOffsetX" => 30,
					    					"disable_btns_mobile" => "no",
					    					"show_slideshow_btn" => "yes",
											"show_bullets_navigation" => "no",
											"bullets_normal_color" => "#333333",
											"bullets_selected_color" => "#FFFFFF",
											"bullets_normal_radius" => 5,
											"bullets_selected_radius" => 8,
											"space_between_bullets" => 10,
											"bullets_offset" => 28,
					    					"show_scrollbar" => "yes",
					    					"scrollbar_handler_width" => 200,
					    					"scrollbar_text_normal_color" => "#E4E4E4",
					    					"scrollbar_text_selected_color" => "#000000",
					    					"disable_scrollbar_mobile" => "yes",
					    					"enable_mouse_wheel" => "no",
					    			
					    					// categories menu settings
					    					"show_categories_menu" => "yes",
					    					"start_category" => 1,
					    					"categories_menu_max_width" => 700,
					    					"categories_menu_offset" => 25,
					    					"category_normal_color" => "#999999",
					    					"category_selected_color" => "#FFFFFF",
					    			
					    					// lightbox settings
											"buttons_alignment" => "in",
											"item_box_shadow" => "none",
											"description_window_animation_type" => "opacity",
											"description_window_position" => "bottom",
											"slide_show_auto_play" => "no",
											"add_keyboard_support" => "yes",
											"show_close_button" => "yes",
											"show_share_button" => "yes",
											"show_zoom_button" => "yes",
											"show_slide_show_button" => "yes",
											"show_slide_show_animation" => "yes",
											"show_next_and_prev_buttons" => "yes",
											"show_next_and_prev_buttons_on_mobile" => "yes",
											"show_description_button" => "yes",
											"show_description_by_default" => "no",
											"video_show_full_screen_button" => "yes",
											"video_auto_play" => "no",
											"next_video_or_audio_auto_play" => "no",
											"video_loop" => "no",
											"audio_auto_play" =>"no",
											"audio_loop" => "no",
											"background_opacity" => 0.9,
											"description_window_background_opacity" => 1,
											"buttons_hide_delay" => 3,
											"slide_show_delay" => 4,
											"default_item_width" => 1369,
											"default_item_height" => 770,
											"item_offset_height" => 50,
											"space_between_buttons" => 1,
											"buttons_offset_in" => 2,
											"buttons_offset_out" =>5,
											"item_border_size" => 0,
											"item_border_radius" => 0,
											"descriptionGradientWindowBackgroundColor1" => "rgba(0, 0, 0, 0)",
   											"descriptionGradientWindowBackgroundColor2" => "rgba(0, 0, 0, 1)",
											"item_background_color" => "#333333",
											"item_border_color" => "#333333",
											"light_box_background_color" => "#000000",
											"video_poster_background_color" => "#383838",
											"video_controller_background_color" => "#1F1F1F",
											"audio_controller_background_color" => "#1F1F1F",
											"time_color" => "#666666"
					    			),
					    			array(
					    					// main settings
					    					"id" => 6,
					    					"name" => "preset7",
					    					"display_type" => "fluidwidth",
					    					"cov_width" => 5000,
					    					"coverflowOffsetHeight" => 140,
											"useDefaultThumbnailsWidthAndHeight" => "yes",
											"main_folder_path" => $this->_dir_url . "load",
					    					"skin_path" => "skin_black",
					    					"cov_bg_color" => "#1d1d1d",
					    					"backgroundSize" => "auto",
					    					"backgroundPosition" => "center",
					    					"cov_bg_image_url" => "",
					    					"bg_repeat" => "repeat-x",
					    					"cov_start_pos" => "left",
					    					"cov_topology" => "frontonesided",
					    					"cov_x_rot" => 3,
					    					"cov_y_rot" => 0,
					    					"nr_side_thumbs" => 0,
											"infinite_loop" => "no",											
											"thumbnailOffsetY" => 0,
					    					"cov_autoplay" => "no",
					    					"cov_slideshow_delay" => 5000,
					    					"slideshowPreloaderBackgroundColor" => "#333333",
   											"slideshowpreloaderFillColor" => "#E4E4E4",
					    					"right_click_context_menu" => "developer",
					    					"cov_keyboard_support" => "yes",
											"use_drag_and_swipe" => "yes",
											"fluid_width_z_index" => 1000,
											"preloaderBackgroundColor" => "#000000",
											"preloaderFillColor" => "#4a4a4a",
					    			
					    					// thumbs settings
					    					"thumbnailWidth" => 530,
					    					"thumbnailHeight" => 329,
					    					"thumbnailMaxHeight" => 500,
					    					"thumbnailResizeOffest" => 100,
					    					"thumb_x_offset_3d" => 100,
					    					"thumb_x_space_3d" => 30,
					    					"thumb_z_offset_3d" => 150,
					    					"thumb_z_space_3d" => 60,
					    					"thumb_y_angle_3d" => 60,
					    					"thumb_hover_offset" => 50,
					    					"thumb_border_size" => 0,
					    					"thumb_bg_color" => "#4a4a4a",
					    					"thumb_border_color1" => "#EBEBEB",
					    					"thumb_border_color2" => "#EBEBEB",
					    					"transparent_images" => "no",
					    					"thumbs_alignment" => "center",
					    					"max_thumbs_mobile" => 20,
					    					"show_thumbs_gradient" => "yes",
					    					"thumb_gradient_color1" => "rgba(29, 29, 29, 1)",
					    					"thumb_gradient_color2" => "rgba(29, 29, 29, .2)",
					    					"show_thumbs_text" => "yes",
					    					"textMaxWidth" => 530,
					    					"text_offset" => 10,
					    					"show_thumb_box_shadow" => "yes",
					    					"box_shadow_css" => "0px 2px 2px #111111",
					    					"show_reflection" => "yes",
					    					"reflection_height" => 50,
					    					"reflection_distance" => 0,
					    					"reflection_opacity" => .4,
					    			
					    					// controls settings
					    					"controls_max_width" => 530,
											"show_large_next_and_prev_coverflow_buttons" => "no",
											"large_next_and_prev_buttons_offest" => 20,
					    					"controls_position" => "bottom",
					    					"controls_offset" => -23,
					    					"show_next_and_prev_coverflow_buttons" => "yes",
					    					"nextAndPrevCoverflowButtonsOffsetX" => 30,
					    					"disable_btns_mobile" => "no",
					    					"show_slideshow_btn" => "yes",
											"show_bullets_navigation" => "no",
											"bullets_normal_color" => "#333333",
											"bullets_selected_color" => "#FFFFFF",
											"bullets_normal_radius" => 5,
											"bullets_selected_radius" => 8,
											"space_between_bullets" => 10,
											"bullets_offset" => 28,
					    					"show_scrollbar" => "yes",
					    					"scrollbar_handler_width" => 200,
					    					"scrollbar_text_normal_color" => "#E4E4E4",
					    					"scrollbar_text_selected_color" => "#000000",
					    					"disable_scrollbar_mobile" => "yes",
					    					"enable_mouse_wheel" => "no",
					    			
					    					// categories menu settings
					    					"show_categories_menu" => "yes",
					    					"start_category" => 1,
					    					"categories_menu_max_width" => 700,
					    					"categories_menu_offset" => 25,
					    					"category_normal_color" => "#999999",
					    					"category_selected_color" => "#FFFFFF",
					    			
					    					// lightbox settings
											"buttons_alignment" => "in",
											"item_box_shadow" => "none",
											"description_window_animation_type" => "opacity",
											"description_window_position" => "bottom",
											"slide_show_auto_play" => "no",
											"add_keyboard_support" => "yes",
											"show_close_button" => "yes",
											"show_share_button" => "yes",
											"show_zoom_button" => "yes",
											"show_slide_show_button" => "yes",
											"show_slide_show_animation" => "yes",
											"show_next_and_prev_buttons" => "yes",
											"show_next_and_prev_buttons_on_mobile" => "yes",
											"show_description_button" => "yes",
											"show_description_by_default" => "no",
											"video_show_full_screen_button" => "yes",
											"video_auto_play" => "no",
											"next_video_or_audio_auto_play" => "no",
											"video_loop" => "no",
											"audio_auto_play" =>"no",
											"audio_loop" => "no",
											"background_opacity" => 0.9,
											"description_window_background_opacity" => 1,
											"buttons_hide_delay" => 3,
											"slide_show_delay" => 4,
											"default_item_width" => 1369,
											"default_item_height" => 770,
											"item_offset_height" => 50,
											"space_between_buttons" => 1,
											"buttons_offset_in" => 2,
											"buttons_offset_out" =>5,
											"item_border_size" => 0,
											"item_border_radius" => 0,
											"descriptionGradientWindowBackgroundColor1" => "rgba(0, 0, 0, 0)",
   											"descriptionGradientWindowBackgroundColor2" => "rgba(0, 0, 0, 1)",
											"item_background_color" => "#333333",
											"item_border_color" => "#333333",
											"light_box_background_color" => "#000000",
											"video_poster_background_color" => "#383838",
											"video_controller_background_color" => "#1F1F1F",
											"audio_controller_background_color" => "#1F1F1F",
											"time_color" => "#666666"
					    			),
					    			array(
					    					// main settings
					    					"id" => 7,
					    					"name" => "preset8",
					    					"display_type" => "fluidwidth",
					    					"cov_width" => 5000,
					    					"coverflowOffsetHeight" => 140,
											"useDefaultThumbnailsWidthAndHeight" => "yes",
											"main_folder_path" => $this->_dir_url . "load",
					    					"skin_path" => "skin_black",
					    					"cov_bg_color" => "#1d1d1d",
					    					"backgroundSize" => "auto",
					    					"backgroundPosition" => "center",
					    					"cov_bg_image_url" => "",
					    					"bg_repeat" => "repeat-x",
					    					"cov_start_pos" => "left",
					    					"cov_topology" => "flipping",
					    					"cov_x_rot" => 0,
					    					"cov_y_rot" => 30,
					    					"nr_side_thumbs" => 0,
											"infinite_loop" => "no",											
											"thumbnailOffsetY" => 0,
					    					"cov_autoplay" => "no",
					    					"cov_slideshow_delay" => 5000,
					    					"slideshowPreloaderBackgroundColor" => "#333333",
   											"slideshowpreloaderFillColor" => "#E4E4E4",
					    					"right_click_context_menu" => "developer",
					    					"cov_keyboard_support" => "yes",
											"use_drag_and_swipe" => "yes",
											"fluid_width_z_index" => 1000,
											"preloaderBackgroundColor" => "#000000",
											"preloaderFillColor" => "#4a4a4a",
					    			
					    					// thumbs settings
					    					"thumbnailWidth" => 530,
					    					"thumbnailHeight" => 329,
					    					"thumbnailMaxHeight" => 500,
					    					"thumbnailResizeOffest" => 100,
					    					"thumb_x_offset_3d" => 86,
					    					"thumb_x_space_3d" => 78,
					    					"thumb_z_offset_3d" => 200,
					    					"thumb_z_space_3d" => 93,
					    					"thumb_y_angle_3d" => 70,
					    					"thumb_hover_offset" => 0,
					    					"thumb_border_size" => 0,
					    					"thumb_bg_color" => "#4a4a4a",
					    					"thumb_border_color1" => "#EBEBEB",
					    					"thumb_border_color2" => "#EBEBEB",
					    					"transparent_images" => "no",
					    					"thumbs_alignment" => "center",
					    					"max_thumbs_mobile" => 20,
					    					"show_thumbs_gradient" => "no",
					    					"thumb_gradient_color1" => "rgba(0, 0, 0, 0)",
					    					"thumb_gradient_color2" => "rgba(29, 29, 29, 1)",
					    					"show_thumbs_text" => "yes",
					    					"textMaxWidth" => 530,
					    					"text_offset" => 10,
					    					"show_thumb_box_shadow" => "yes",
					    					"box_shadow_css" => "0px 2px 2px #111111",
					    					"show_reflection" => "yes",
					    					"reflection_height" => 50,
					    					"reflection_distance" => 0,
					    					"reflection_opacity" => .4,
					    			
					    					// controls settings
					    					"controls_max_width" => 530,
											"show_large_next_and_prev_coverflow_buttons" => "no",
											"large_next_and_prev_buttons_offest" => 20,
					    					"controls_position" => "bottom",
					    					"controls_offset" => -23,
					    					"show_next_and_prev_coverflow_buttons" => "yes",
					    					"nextAndPrevCoverflowButtonsOffsetX" => 30,
					    					"disable_btns_mobile" => "no",
					    					"show_slideshow_btn" => "yes",
											"show_bullets_navigation" => "no",
											"bullets_normal_color" => "#333333",
											"bullets_selected_color" => "#FFFFFF",
											"bullets_normal_radius" => 5,
											"bullets_selected_radius" => 8,
											"space_between_bullets" => 10,
											"bullets_offset" => 28,
					    					"show_scrollbar" => "yes",
					    					"scrollbar_handler_width" => 200,
					    					"scrollbar_text_normal_color" => "#E4E4E4",
					    					"scrollbar_text_selected_color" => "#000000",
					    					"disable_scrollbar_mobile" => "yes",
					    					"enable_mouse_wheel" => "no",
					    			
					    					// categories menu settings
					    					"show_categories_menu" => "yes",
					    					"start_category" => 1,
					    					"categories_menu_max_width" => 700,
					    					"categories_menu_offset" => 25,
					    					"category_normal_color" => "#999999",
					    					"category_selected_color" => "#FFFFFF",
					    			
					    					// lightbox settings
											"buttons_alignment" => "in",
											"item_box_shadow" => "none",
											"description_window_animation_type" => "opacity",
											"description_window_position" => "bottom",
											"slide_show_auto_play" => "no",
											"add_keyboard_support" => "yes",
											"show_close_button" => "yes",
											"show_share_button" => "yes",
											"show_zoom_button" => "yes",
											"show_slide_show_button" => "yes",
											"show_slide_show_animation" => "yes",
											"show_next_and_prev_buttons" => "yes",
											"show_next_and_prev_buttons_on_mobile" => "yes",
											"show_description_button" => "yes",
											"show_description_by_default" => "no",
											"video_show_full_screen_button" => "yes",
											"video_auto_play" => "no",
											"next_video_or_audio_auto_play" => "no",
											"video_loop" => "no",
											"audio_auto_play" =>"no",
											"audio_loop" => "no",
											"background_opacity" => 0.9,
											"description_window_background_opacity" => 1,
											"buttons_hide_delay" => 3,
											"slide_show_delay" => 4,
											"default_item_width" => 1369,
											"default_item_height" => 770,
											"item_offset_height" => 50,
											"space_between_buttons" => 1,
											"buttons_offset_in" => 2,
											"buttons_offset_out" =>5,
											"item_border_size" => 0,
											"item_border_radius" => 0,
											"descriptionGradientWindowBackgroundColor1" => "rgba(0, 0, 0, 0)",
   											"descriptionGradientWindowBackgroundColor2" => "rgba(0, 0, 0, 1)",
											"item_background_color" => "#383838",
											"item_border_color" => "#333333",
											"light_box_background_color" => "#000000",
											"video_poster_background_color" => "#383838",
											"video_controller_background_color" => "#1F1F1F",
											"audio_controller_background_color" => "#1F1F1F",
											"time_color" => "#666666"
					    			),
									array(
					    					// main settings
					    					"id" => 8,
					    					"name" => "preset9",
					    					"display_type" => "fluidwidth",
					    					"cov_width" => 5000,
					    					"coverflowOffsetHeight" => 140,
											"useDefaultThumbnailsWidthAndHeight" => "yes",
											"main_folder_path" => $this->_dir_url . "load",
					    					"skin_path" => "skin_black",
					    					"cov_bg_color" => "#1d1d1d",
					    					"backgroundSize" => "auto",
					    					"backgroundPosition" => "center",
					    					"cov_bg_image_url" => "",
					    					"bg_repeat" => "repeat-x",
					    					"cov_start_pos" => "left",
					    					"cov_topology" => "accordion",
					    					"cov_x_rot" => 10,
					    					"cov_y_rot" => 0,
					    					"nr_side_thumbs" => 0,
											"infinite_loop" => "no",											
											"thumbnailOffsetY" => 0,
					    					"cov_autoplay" => "no",
					    					"cov_slideshow_delay" => 5000,
					    					"slideshowPreloaderBackgroundColor" => "#333333",
   											"slideshowpreloaderFillColor" => "#E4E4E4",
					    					"right_click_context_menu" => "developer",
					    					"cov_keyboard_support" => "yes",
											"use_drag_and_swipe" => "yes",
											"fluid_width_z_index" => 1000,
											"preloaderBackgroundColor" => "#000000",
											"preloaderFillColor" => "#4a4a4a",
					    			
					    					// thumbs settings
					    					"thumbnailWidth" => 530,
					    					"thumbnailHeight" => 329,
					    					"thumbnailMaxHeight" => 500,
					    					"thumbnailResizeOffest" => 100,
					    					"thumb_x_offset_3d" => 86,
					    					"thumb_x_space_3d" => 78,
					    					"thumb_z_offset_3d" => 200,
					    					"thumb_z_space_3d" => 93,
					    					"thumb_y_angle_3d" => 70,
					    					"thumb_hover_offset" => 0,
					    					"thumb_border_size" => 0,
					    					"thumb_bg_color" => "#4a4a4a",
					    					"thumb_border_color1" => "#EBEBEB",
					    					"thumb_border_color2" => "#EBEBEB",
					    					"transparent_images" => "no",
					    					"thumbs_alignment" => "center",
					    					"max_thumbs_mobile" => 20,
					    					"show_thumbs_gradient" => "no",
					    					"thumb_gradient_color1" => "rgba(29, 29, 29, 0)",
					    					"thumb_gradient_color2" => "rgba(29, 29, 29, 1)",
					    					"show_thumbs_text" => "yes",
					    					"textMaxWidth" => 530,
					    					"text_offset" => 10,
					    					"show_thumb_box_shadow" => "yes",
					    					"box_shadow_css" => "0px 2px 2px #111111",
					    					"show_reflection" => "yes",
					    					"reflection_height" => 50,
					    					"reflection_distance" => 0,
					    					"reflection_opacity" => .4,
					    			
					    					// controls settings
					    					"controls_max_width" => 530,
											"show_large_next_and_prev_coverflow_buttons" => "no",
											"large_next_and_prev_buttons_offest" => 20,
					    					"controls_position" => "bottom",
					    					"controls_offset" => -23,
					    					"show_next_and_prev_coverflow_buttons" => "yes",
					    					"nextAndPrevCoverflowButtonsOffsetX" => 30,
					    					"disable_btns_mobile" => "no",
					    					"show_slideshow_btn" => "yes",
											"show_bullets_navigation" => "no",
											"bullets_normal_color" => "#333333",
											"bullets_selected_color" => "#FFFFFF",
											"bullets_normal_radius" => 5,
											"bullets_selected_radius" => 8,
											"space_between_bullets" => 10,
											"bullets_offset" => 28,
					    					"show_scrollbar" => "yes",
					    					"scrollbar_handler_width" => 200,
					    					"scrollbar_text_normal_color" => "#E4E4E4",
					    					"scrollbar_text_selected_color" => "#000000",
					    					"disable_scrollbar_mobile" => "yes",
					    					"enable_mouse_wheel" => "no",
					    			
					    					// categories menu settings
					    					"show_categories_menu" => "yes",
					    					"start_category" => 1,
					    					"categories_menu_max_width" => 700,
					    					"categories_menu_offset" => 25,
					    					"category_normal_color" => "#999999",
					    					"category_selected_color" => "#FFFFFF",
					    			
					    					// lightbox settings
											"buttons_alignment" => "in",
											"item_box_shadow" => "none",
											"description_window_animation_type" => "opacity",
											"description_window_position" => "bottom",
											"slide_show_auto_play" => "no",
											"add_keyboard_support" => "yes",
											"show_close_button" => "yes",
											"show_share_button" => "yes",
											"show_zoom_button" => "yes",
											"show_slide_show_button" => "yes",
											"show_slide_show_animation" => "yes",
											"show_next_and_prev_buttons" => "yes",
											"show_next_and_prev_buttons_on_mobile" => "yes",
											"show_description_button" => "yes",
											"show_description_by_default" => "no",
											"video_show_full_screen_button" => "yes",
											"video_auto_play" => "no",
											"next_video_or_audio_auto_play" => "no",
											"video_loop" => "no",
											"audio_auto_play" =>"no",
											"audio_loop" => "no",
											"background_opacity" => 0.9,
											"description_window_background_opacity" => 1,
											"buttons_hide_delay" => 3,
											"slide_show_delay" => 4,
											"default_item_width" => 1369,
											"default_item_height" => 770,
											"item_offset_height" => 50,
											"space_between_buttons" => 1,
											"buttons_offset_in" => 2,
											"buttons_offset_out" =>5,
											"item_border_size" => 0,
											"item_border_radius" => 0,
											"descriptionGradientWindowBackgroundColor1" => "rgba(0, 0, 0, 0)",
   											"descriptionGradientWindowBackgroundColor2" => "rgba(0, 0, 0, 1)",
											"item_background_color" => "#333333",
											"item_border_color" => "#333333",
											"light_box_background_color" => "#000000",
											"video_poster_background_color" => "#383838",
											"video_controller_background_color" => "#1F1F1F",
											"audio_controller_background_color" => "#1F1F1F",
											"time_color" => "#666666"
					    			)
							      );
    }

    public function get_data()
    {
	    $cur_data = get_option("fwds3dcov_data");
	       
	    $this->settings_ar = $cur_data->settings_ar;
	    $this->playlists_ar = $cur_data->playlists_ar;
    }
    
    public function set_data(){
    	update_option("fwds3dcov_data", $this);
    }
}

?>